#include "adv3.h"
#ifdef __STDC__
int u008() 
#else
int u008() 
#endif
{ if (q011()) return 0; if (a009()) return 0; if (w005()) return 0; if (w006())
return 0; if (d010()) return 0; if (j006()) return 0; return 1; } 
#ifdef __STDC__
int g011() 
#else
int g011() 
#endif
{ if (i018()) return 0; if (h008()) return 0; if (t018()) return 0; if (x009())
return 0; return 1; } 
#ifdef __STDC__
int v014() 
#else
int v014() 
#endif
{ if (o019()) return 0; if (y017()) return 0; return 1; } 
#ifdef __STDC__
int k021() 
#else
int k021() 
#endif
{ if (s019()) return 0; if (r022()) return 0; return 1; } 
#ifdef __STDC__
int i022() 
#else
int i022() 
#endif
{ if (b018()) return 0; if (x018()) return 0; if (x019()) return 0; if (d017())
return 0; if (m020()) return 0; if (g018()) return 0; return 1; } 
#ifdef __STDC__
int b019() 
#else
int b019() 
#endif
{ if (r024()) return 0; if (t025()) return 0; if (b020()) return 0; if (i023())
return 0; if (x020()) return 0; if (s021()) return 0; if (e017()) return
0; if (w016()) return 0; if (l018()) return 0; if (v017()) return 0; if
(s022()) return 0; if (c017()) return 0; if (s023()) return 0; if (w017())
return 0; if (m021()) return 0; if (j022()) return 0; return 1; } 
#ifdef __STDC__
int w019() 
#else
int w019() 
#endif
{ if (d020()) return 0; if (u017()) return 0; return 1; } 
#ifdef __STDC__
int h014() 
#else
int h014() 
#endif
{ if (w020()) return 0; if (r025()) return 0; if (b023()) return 0; if (a017())
return 0; if (o023()) return 0; if (m022()) return 0; if (x022()) return
0; if (h015()) return 0; return 1; } 
#ifdef __STDC__
int o024() 
#else
int o024() 
#endif
{ if (o025()) return 0; if (d021()) return 0; return 1; } 
#ifdef __STDC__
int g020() 
#else
int g020() 
#endif
{ if (b024()) return 0; if (c018()) return 0; return 1; } 
#ifdef __STDC__
int s025() 
#else
int s025() 
#endif
{ if (a019()) return 0; if (e020()) return 0; if (i025()) return 0; if (z019())
return 0; if (w022()) return 0; if (w023()) return 0; return 1; } 
#ifdef __STDC__
int v021() 
#else
int v021() 
#endif
{ if (o027()) return 0; if (z021()) return 0; if (r028()) return 0; if (c020())
return 0; return 1; } 
#ifdef __STDC__
int m035() 
#else
int m035() 
#endif
{ if (f033()) return 0; if (n028()) return 0; if (k039()) return 0; if (y036())
return 0; if (a032()) return 0; if (c028()) return 0; if (f034()) return
0; if (m036()) return 0; if (q033()) return 0; if (w030()) return 0; if
(k040()) return 0; if (f035()) return 0; return 1; } 
#ifdef __STDC__
int s039() 
#else
int s039() 
#endif
{ if (r045()) return 0; if (i037()) return 0; if (e041()) return 0; if (m039())
return 0; if (x036()) return 0; return 1; } 
#ifdef __STDC__
int l039() 
#else
int l039() 
#endif
{ if (n036()) return 0; if (q043()) return 0; if (v034()) return 0; if (r051())
return 0; if (y049()) return 0; if (y050()) return 0; if (u033()) return
0; if (i044()) return 0; if (f040()) return 0; return 1; } 
#ifdef __STDC__
int x041() 
#else
int x041() 
#endif
{ if (k047()) return 0; if (n038()) return 0; if (v038()) return 0; return
1; } 
#ifdef __STDC__
int t045() 
#else
int t045() 
#endif
{ if (j045()) return 0; if (g045()) return 0; if (x044()) return 0; return
1; } 
#ifdef __STDC__
int b007(void) 
#else
int b007() 
#endif
{return 0;} 
